# $Revision: 1.25 $, $Date: 2009/10/06 16:10:49 $
Summary:	RandR extension headers
Summary(pl.UTF-8):	Nagłówki rozrzerzenia RandR
Name:		xorg-proto-randrproto
Version:	1.3.1
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/randrproto-%{version}.tar.bz2
# Source0-md5:	a5c244c36382b0de39b2828cea4b651d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RandR extension headers.

The X Resize, Rotate and Reflect Extension, called RandR for short,
brings the ability to resize, rotate and reflect the root window of a
screen. It is based on the X Resize and Rotate Extension as specified
in the Proceedings of the 2001 Usenix Technical Conference [RANDR].

%description -l pl.UTF-8
Nagłówki rozszerzenia RandR.

Rozszerzenie X Resize, Rotate and Reflect (w skrócie RandR) daje
możliwość zmiany rozmiaru, obrotu i odbicia głównego okna ekranu. Jest
oparte na rozszerzeniu X Resize and Rotate opisanym w protokołach
konferencji 2001 Usenix Technical Conference [RANDR].

%package devel
Summary:	RandR extension headers
Summary(pl.UTF-8):	Nagłówki rozrzerzenia RandR
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Obsoletes:	randrext

%description devel
RandR extension headers.

The X Resize, Rotate and Reflect Extension, called RandR for short,
brings the ability to resize, rotate and reflect the root window of a
screen. It is based on the X Resize and Rotate Extension as specified
in the Proceedings of the 2001 Usenix Technical Conference [RANDR].

%description devel -l pl.UTF-8
Nagłówki rozszerzenia RandR.

Rozszerzenie X Resize, Rotate and Reflect (w skrócie RandR) daje
możliwość zmiany rozmiaru, obrotu i odbicia głównego okna ekranu. Jest
oparte na rozszerzeniu X Resize and Rotate opisanym w protokołach
konferencji 2001 Usenix Technical Conference [RANDR].

%prep
%setup -q -n randrproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog randrproto.txt
%{_includedir}/X11/extensions/randr*.h
%{_pkgconfigdir}/randrproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-randrproto.spec,v $
Revision 1.25  2009/10/06 16:10:49  qboosh
- util-macros version

Revision 1.24  2009/10/06 06:37:17  arekm
- up to 1.3.1

Revision 1.23  2009/03/06 14:54:31  arekm
- up to 1.3.0

Revision 1.22  2009/02/25 16:38:36  arekm
- up to 1.2.99.4

Revision 1.21  2008/12/12 12:17:03  arekm
- up to 1.2.99.3

Revision 1.20  2008/12/01 22:12:29  arekm
- up to 1.2.99.1

Revision 1.19  2008/07/09 04:43:11  qboosh
- added ChangeLog to doc

Revision 1.18  2008/07/02 20:02:09  arekm
- up to 1.2.2

Revision 1.17  2007/02/19 06:44:25  arekm
- up to 1.2.1

Revision 1.16  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.14  2006/11/28 23:43:24  qboosh
- fixed summaries, real descriptions, added randrproto.txt to doc

Revision 1.13  2006/11/28 18:00:27  arekm
- up to 1.2.0

Revision 1.12  2006/03/18 16:50:12  wiget
- switched to "individual" source

Revision 1.11  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.10  2005/12/22 13:22:52  qboosh
- sources from X11R7.0 release

Revision 1.9  2005/12/20 10:20:49  qboosh
- 1.1.2 (X11R7.0-RC4)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.6  2005/10/20 11:38:29  qboosh
- 1.1.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.3  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.2  2005/08/17 20:16:28  qboosh
- Obsoletes for old xlibs packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Fri Aug 12 2005 13:14:50  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- release 0.02

* Fri Aug  5 2005 17:20:09  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
